/*
 * Copyright 2019 Oliwia Chrapowicka
 *
 * This file is part of QESG.
 *
 * QESG is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * QESG is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with QESG.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef add_atoms_pos_H
#define add_atoms_pos_H

using namespace std;

class add_atomic_pos_window : public Gtk::Window
{
public:
  add_atomic_pos_window();
  virtual ~add_atomic_pos_window();
  void set_params(string,int);
  Glib::ustring final_txt;

protected:
  void add_one_atom();
  Glib::ustring info_message(Glib::ustring);

  string name_of_atom = "";
  int num_of_atoms = 1;
  int num_left = 1;
  Glib::ustring text_to_send = "";
  int opt;

  Gtk::Box* main_box = Gtk::manage(new Gtk::Box(Gtk::ORIENTATION_VERTICAL, 1));
  Gtk::Box* box_for_infos = Gtk::manage(new Gtk::Box());
  Gtk::Box* box_for_entries = Gtk::manage(new Gtk::Box());
  Gtk::Box* box_for_button = Gtk::manage(new Gtk::Box());

  Gtk::Entry* entry_atom_name = Gtk::manage(new Gtk::Entry());
  Gtk::Entry* entry_atom_num = Gtk::manage(new Gtk::Entry());

  Gtk::SpinButton buttons_pos1, buttons_pos2, buttons_pos3, buttons_1, buttons_2, buttons_3;
  Glib::RefPtr<Gtk::Adjustment> adj_pos1 = Gtk::Adjustment::create(0.0, -100.0, 100.0, 0.000001, 100.0, 0.0);
  Glib::RefPtr<Gtk::Adjustment> adj_pos2 = Gtk::Adjustment::create(0.0, -100.0, 100.0, 0.000001, 100.0, 0.0);
  Glib::RefPtr<Gtk::Adjustment> adj_pos3 = Gtk::Adjustment::create(0.0, -100.0, 100.0, 0.000001, 100.0, 0.0);
  Glib::RefPtr<Gtk::Adjustment> adj_1 = Gtk::Adjustment::create(1.0, 0.0, 1.0, 1.0, 100.0, 0.0);
  Glib::RefPtr<Gtk::Adjustment> adj_2 = Gtk::Adjustment::create(1.0, 0.0, 1.0, 1.0, 100.0, 0.0);
  Glib::RefPtr<Gtk::Adjustment> adj_3 = Gtk::Adjustment::create(0.0, 0.0, 1.0, 1.0, 100.0, 0.0);

  Gtk::Label *label_info = Gtk::manage(new Gtk::Label("\n\n1.Enter values for positions of the first atom.\n2.Click on 'Add atom's position'.\n3.Enter values for next atoms."));
  Gtk::Label *label_entry_atom_name = Gtk::manage(new Gtk::Label("Chemical symbol: "));
  Gtk::Label *label_entry_atom_num = Gtk::manage(new Gtk::Label("Number of atoms to add left: "));

  Gtk::Button button_add_atom_pos;

};

#endif
